Bug 728255

Summary: Review Request: rubygem-activeresource2.3 - rails 2 alongside rails 3
Product: [Fedora] Fedora Reporter: Emanuel Rietveld <codehotter>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: notting, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-07 15:18:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 728256    
Bug Blocks: 726690    

Description Emanuel Rietveld 2011-08-04 14:05:52 UTC
Spec URL: http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SPECS/rubygem-activeresource2.3.spec;hb=refs/heads/rails23
SRPM URL: http://xls01.freecult.org/pkg/?p=pkg.git;a=blob_plain;f=SRPMS/rubygem-activeresource2.3-2.3.12-1.fc15.src.rpm;hb=refs/heads/rails23

Changelog: http://xls01.freecult.org/pkg/?p=pkg.git;a=log;h=refs/heads/rails23

Description: rubygem-activeresource2.3 is a dependency of rails 2.3. (another dependency is rubygem-rdoc, which was built for Fedora 16 by mmorsi. See http://koji.fedoraproject.org/koji/buildinfo?buildID=254306 )

Although rails 3 was released, and Fedora 15 has moved to rails 3, there are still rails projects working with rails 2.3 series. Rails 3 is not backwards compatible and some key features are not yet working in rails 3. One notable project still on rails 2.3 is the issue tracker redmine: http://www.redmine.org.

Since rails 2 and rails 3 are perfectly parallel installable, I would like to maintain rails 2.3 series in Fedora until it really becomes obsolete. I have built these rails 2.3.12 packages starting from the rails 2.3.8 rpms already in Fedora 14.

This is my first time packaging for Fedora and I am welcoming feedback. Thank you for your time.

Comment 2 Emanuel Rietveld 2012-05-07 15:18:01 UTC
With the move to ruby 1.9, making rails 2.3 compatible has become much more difficult in recent Fedora releases. Additionally, several projects requiring rails 2.3 previously now support rails 3, including redmine. I am abandoning this effort.